#ifndef Karte_H
#define Karte_H

#include <Bild.h>

using namespace Framework;

class Karte
{
private:
	int id;
	Bild *map;
	Punkt size;
	int ref;

public:
	// Konstruktor
	Karte();
	// Destruktor
	~Karte();
	// nicht constant
	void setKarteId( int id );
	void setSize( int br, int hi );
	// constant
	int getKarteId() const;
	int getBreite() const;
	int getHeight( ) const;
	Bild *zMap( ) const;
	// Reference Counting
	Karte *getThis();
	Karte *release();
};

#endif